=== tests/map/mapengine-build/Makefile ===
#############################################################################
# Makefile for building: mapengine
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jun 16 08:44:07 2010
# Project:  ../mapengine/mapengine.pro
# Template: app
# Command: /home/jupe/qtsdk-2010.02/qt/bin/qmake -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapengine/mapengine.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG_OUTPUT -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../mapengine -I/home/jupe/qtsdk-2010.02/qt/include/QtCore -I/home/jupe/qtsdk-2010.02/qt/include/QtNetwork -I/home/jupe/qtsdk-2010.02/qt/include/QtGui -I/home/jupe/qtsdk-2010.02/qt/include/QtDBus -I/home/jupe/qtsdk-2010.02/qt/include -I/home/jupe/qtsdk-2010.02/qt/include/QtTest -I../mapengine -I../../../src -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/jupe/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/jupe/qtsdk-2010.02/qt/lib -lQtTest -L/home/jupe/qtsdk-2010.02/qt/lib -lQtDBus -lQtXml -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/jupe/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../mapengine/testmapengine.cpp \
		../../../src/map/mapengine.cpp \
		../../../src/map/mapscene.cpp \
		../../../src/map/maptile.cpp \
		../../../src/map/mapview.cpp \
		../../../src/map/mapfetcher.cpp \
		../../../src/map/ownlocationitem.cpp \
		../../../src/map/maptilerequest.cpp \
		../../../src/map/frienditemshandler.cpp \
		../../../src/map/friendgroupitem.cpp \
		../../../src/map/baselocationitem.cpp \
		../../../src/user/user.cpp \
		../../../src/map/friendlocationitem.cpp \
		../../../src/map/gpslocationitem.cpp \
		../../../src/network/networkaccessmanager.cpp \
		../../../src/network/networkhandler.cpp \
		../../../src/network/networkreply.cpp \
		../../../src/network/networkhandlerprivatestub.cpp moc_mapengine.cpp \
		moc_mapscene.cpp \
		moc_mapview.cpp \
		moc_mapfetcher.cpp \
		moc_frienditemshandler.cpp \
		moc_friendgroupitem.cpp \
		moc_friendlocationitem.cpp \
		moc_networkaccessmanager.cpp \
		moc_networkhandler.cpp
OBJECTS       = testmapengine.o \
		mapengine.o \
		mapscene.o \
		maptile.o \
		mapview.o \
		mapfetcher.o \
		ownlocationitem.o \
		maptilerequest.o \
		frienditemshandler.o \
		friendgroupitem.o \
		baselocationitem.o \
		user.o \
		friendlocationitem.o \
		gpslocationitem.o \
		networkaccessmanager.o \
		networkhandler.o \
		networkreply.o \
		networkhandlerprivatestub.o \
		moc_mapengine.o \
		moc_mapscene.o \
		moc_mapview.o \
		moc_mapfetcher.o \
		moc_frienditemshandler.o \
		moc_friendgroupitem.o \
		moc_friendlocationitem.o \
		moc_networkaccessmanager.o \
		moc_networkhandler.o
DIST          = /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusinterfaces.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusadaptors.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../mapengine/mapengine.pro
QMAKE_TARGET  = mapengine
DESTDIR       = 
TARGET        = mapengine

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../mapengine/mapengine.pro  /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusinterfaces.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusadaptors.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtDBus.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtXml.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtNetwork.prl
	$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapengine/mapengine.pro
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusinterfaces.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/dbusadaptors.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtDBus.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtXml.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapengine/mapengine.pro

dist: 
	@$(CHK_DIR_EXISTS) ../mapengine/.tmp/mapengine1.0.0 || $(MKDIR) ../mapengine/.tmp/mapengine1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../mapengine/.tmp/mapengine1.0.0/ && $(COPY_FILE) --parents ../../../src/map/mapengine.h ../../../src/map/mapscene.h ../../../src/map/maptile.h ../../../src/map/mapview.h ../../../src/map/mapfetcher.h ../../../src/common.h ../../../src/map/ownlocationitem.h ../../../src/map/maptilerequest.h ../../../src/map/frienditemshandler.h ../../../src/map/friendgroupitem.h ../../../src/map/baselocationitem.h ../../../src/user/user.h ../../../src/map/friendlocationitem.h ../../../src/map/gpslocationitem.h ../../../src/network/networkaccessmanager.h ../../../src/network/networkhandler.h ../../../src/network/networkreply.h ../../../src/network/networkhandlerprivatestub.h ../mapengine/.tmp/mapengine1.0.0/ && $(COPY_FILE) --parents ../mapengine/testmapengine.cpp ../../../src/map/mapengine.cpp ../../../src/map/mapscene.cpp ../../../src/map/maptile.cpp ../../../src/map/mapview.cpp ../../../src/map/mapfetcher.cpp ../../../src/map/ownlocationitem.cpp ../../../src/map/maptilerequest.cpp ../../../src/map/frienditemshandler.cpp ../../../src/map/friendgroupitem.cpp ../../../src/map/baselocationitem.cpp ../../../src/user/user.cpp ../../../src/map/friendlocationitem.cpp ../../../src/map/gpslocationitem.cpp ../../../src/network/networkaccessmanager.cpp ../../../src/network/networkhandler.cpp ../../../src/network/networkreply.cpp ../../../src/network/networkhandlerprivatestub.cpp ../mapengine/.tmp/mapengine1.0.0/ && (cd `dirname ../mapengine/.tmp/mapengine1.0.0` && $(TAR) mapengine1.0.0.tar mapengine1.0.0 && $(COMPRESS) mapengine1.0.0.tar) && $(MOVE) `dirname ../mapengine/.tmp/mapengine1.0.0`/mapengine1.0.0.tar.gz . && $(DEL_FILE) -r ../mapengine/.tmp/mapengine1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mapengine.cpp moc_mapscene.cpp moc_mapview.cpp moc_mapfetcher.cpp moc_frienditemshandler.cpp moc_friendgroupitem.cpp moc_friendlocationitem.cpp moc_networkaccessmanager.cpp moc_networkhandler.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mapengine.cpp moc_mapscene.cpp moc_mapview.cpp moc_mapfetcher.cpp moc_frienditemshandler.cpp moc_friendgroupitem.cpp moc_friendlocationitem.cpp moc_networkaccessmanager.cpp moc_networkhandler.cpp
moc_mapengine.cpp: ../../../src/map/mapengine.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapengine.h -o moc_mapengine.cpp

moc_mapscene.cpp: ../../../src/map/maptile.h \
		../../../src/map/mapscene.h
