=== tests/map/mapview-build/Makefile ===
#############################################################################
# Makefile for building: mapview
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jun 16 09:37:48 2010
# Project:  ../mapview/mapview.pro
# Template: app
# Command: /home/jupe/qtsdk-2010.02/qt/bin/qmake -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapview/mapview.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG_OUTPUT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../mapview -I/home/jupe/qtsdk-2010.02/qt/include/QtCore -I/home/jupe/qtsdk-2010.02/qt/include/QtGui -I/home/jupe/qtsdk-2010.02/qt/include -I/home/jupe/qtsdk-2010.02/qt/include/QtTest -I../mapview -I../../../src -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/jupe/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/jupe/qtsdk-2010.02/qt/lib -lQtTest -L/home/jupe/qtsdk-2010.02/qt/lib -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/jupe/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../mapview/testmapview.cpp \
		../../../src/map/mapview.cpp moc_mapview.cpp
OBJECTS       = testmapview.o \
		mapview.o \
		moc_mapview.o
DIST          = /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../mapview/mapview.pro
QMAKE_TARGET  = mapview
DESTDIR       = 
TARGET        = mapview

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../mapview/mapview.pro  /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl
	$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapview/mapview.pro
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../mapview/mapview.pro

dist: 
	@$(CHK_DIR_EXISTS) ../mapview/.tmp/mapview1.0.0 || $(MKDIR) ../mapview/.tmp/mapview1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../mapview/.tmp/mapview1.0.0/ && $(COPY_FILE) --parents ../../../src/map/mapview.h ../mapview/.tmp/mapview1.0.0/ && $(COPY_FILE) --parents ../mapview/testmapview.cpp ../../../src/map/mapview.cpp ../mapview/.tmp/mapview1.0.0/ && (cd `dirname ../mapview/.tmp/mapview1.0.0` && $(TAR) mapview1.0.0.tar mapview1.0.0 && $(COMPRESS) mapview1.0.0.tar) && $(MOVE) `dirname ../mapview/.tmp/mapview1.0.0`/mapview1.0.0.tar.gz . && $(DEL_FILE) -r ../mapview/.tmp/mapview1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mapview.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mapview.cpp
moc_mapview.cpp: ../../../src/map/mapview.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapview.h -o moc_mapview.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: testmapview.moc
compiler_moc_source_clean:
	-$(DEL_FILE) testmapview.moc
testmapview.moc: ../mapview/testmapview.cpp
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../mapview/testmapview.cpp -o testmapview.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_moc_source_clean 

####### Compile

testmapview.o: ../mapview/testmapview.cpp testmapview.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o testmapview.o ../mapview/testmapview.cpp

mapview.o: ../../../src/map/mapview.cpp ../../../src/map/mapcommon.h \
		../../../src/map/mapview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mapview.o ../../../src/map/mapview.cpp

moc_mapview.o: moc_mapview.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mapview.o moc_mapview.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
