=== tests/map/testfriendgroupitem-build-desktop/Makefile ===
#############################################################################
# Makefile for building: testfriendgroupitem
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri May 14 08:06:29 2010
# Project:  ../friendgroupitem/testfriendgroupitem.pro
# Template: app
# Command: /home/jupe/qtsdk-2010.02/qt/bin/qmake -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendgroupitem/testfriendgroupitem.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG_OUTPUT -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../friendgroupitem -I/home/jupe/qtsdk-2010.02/qt/include/QtCore -I/home/jupe/qtsdk-2010.02/qt/include/QtNetwork -I/home/jupe/qtsdk-2010.02/qt/include/QtGui -I/home/jupe/qtsdk-2010.02/qt/include -I/home/jupe/qtsdk-2010.02/qt/include/QtTest -I../friendgroupitem -I../../../src -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/jupe/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/jupe/qtsdk-2010.02/qt/lib -lQtTest -L/home/jupe/qtsdk-2010.02/qt/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/jupe/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../friendgroupitem/testfriendgroupitem.cpp \
		../../../src/map/friendgroupitem.cpp \
		../../../src/map/friendlocationitem.cpp \
		../../../src/map/baselocationitem.cpp \
		../../../src/map/mapengine.cpp \
		../../../src/map/ownlocationitem.cpp \
		../../../src/map/mapzoompanel.cpp \
		../../../src/map/maptilerequest.cpp \
		../../../src/map/maptile.cpp \
		../../../src/map/mapscene.cpp \
		../../../src/map/mapfetcher.cpp \
		../../../src/map/mapbutton.cpp \
		../../../src/map/frienditemshandler.cpp \
		../../../src/user/user.cpp moc_friendlocationitem.cpp \
		moc_mapengine.cpp \
		moc_mapzoompanel.cpp \
		moc_mapscene.cpp \
		moc_mapfetcher.cpp \
		moc_frienditemshandler.cpp \
		qrc_images.cpp
OBJECTS       = testfriendgroupitem.o \
		friendgroupitem.o \
		friendlocationitem.o \
		baselocationitem.o \
		mapengine.o \
		ownlocationitem.o \
		mapzoompanel.o \
		maptilerequest.o \
		maptile.o \
		mapscene.o \
		mapfetcher.o \
		mapbutton.o \
		frienditemshandler.o \
		user.o \
		moc_friendlocationitem.o \
		moc_mapengine.o \
		moc_mapzoompanel.o \
		moc_mapscene.o \
		moc_mapfetcher.o \
		moc_frienditemshandler.o \
		qrc_images.o
DIST          = /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../friendgroupitem/testfriendgroupitem.pro
QMAKE_TARGET  = testfriendgroupitem
DESTDIR       = 
TARGET        = testfriendgroupitem

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../friendgroupitem/testfriendgroupitem.pro  /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtNetwork.prl
	$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendgroupitem/testfriendgroupitem.pro
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendgroupitem/testfriendgroupitem.pro

dist: 
	@$(CHK_DIR_EXISTS) ../friendgroupitem/.tmp/testfriendgroupitem1.0.0 || $(MKDIR) ../friendgroupitem/.tmp/testfriendgroupitem1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../friendgroupitem/.tmp/testfriendgroupitem1.0.0/ && $(COPY_FILE) --parents ../../../src/map/friendgroupitem.h ../../../src/map/friendlocationitem.h ../../../src/map/baselocationitem.h ../../../src/map/mapengine.h ../../../src/map/ownlocationitem.h ../../../src/map/mapzoompanel.h ../../../src/map/maptilerequest.h ../../../src/map/maptile.h ../../../src/map/mapscene.h ../../../src/map/mapfetcher.h ../../../src/map/mapcommon.h ../../../src/map/mapbutton.h ../../../src/map/frienditemshandler.h ../../../src/user/user.h ../friendgroupitem/.tmp/testfriendgroupitem1.0.0/ && $(COPY_FILE) --parents ../../../images.qrc ../friendgroupitem/.tmp/testfriendgroupitem1.0.0/ && $(COPY_FILE) --parents ../friendgroupitem/testfriendgroupitem.cpp ../../../src/map/friendgroupitem.cpp ../../../src/map/friendlocationitem.cpp ../../../src/map/baselocationitem.cpp ../../../src/map/mapengine.cpp ../../../src/map/ownlocationitem.cpp ../../../src/map/mapzoompanel.cpp ../../../src/map/maptilerequest.cpp ../../../src/map/maptile.cpp ../../../src/map/mapscene.cpp ../../../src/map/mapfetcher.cpp ../../../src/map/mapbutton.cpp ../../../src/map/frienditemshandler.cpp ../../../src/user/user.cpp ../friendgroupitem/.tmp/testfriendgroupitem1.0.0/ && (cd `dirname ../friendgroupitem/.tmp/testfriendgroupitem1.0.0` && $(TAR) testfriendgroupitem1.0.0.tar testfriendgroupitem1.0.0 && $(COMPRESS) testfriendgroupitem1.0.0.tar) && $(MOVE) `dirname ../friendgroupitem/.tmp/testfriendgroupitem1.0.0`/testfriendgroupitem1.0.0.tar.gz . && $(DEL_FILE) -r ../friendgroupitem/.tmp/testfriendgroupitem1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_friendlocationitem.cpp moc_mapengine.cpp moc_mapzoompanel.cpp moc_mapscene.cpp moc_mapfetcher.cpp moc_frienditemshandler.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_friendlocationitem.cpp moc_mapengine.cpp moc_mapzoompanel.cpp moc_mapscene.cpp moc_mapfetcher.cpp moc_frienditemshandler.cpp
moc_friendlocationitem.cpp: ../../../src/map/baselocationitem.h \
		../../../src/map/friendlocationitem.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/friendlocationitem.h -o moc_friendlocationitem.cpp

moc_mapengine.cpp: ../../../src/map/mapcommon.h \
		../../../src/map/mapfetcher.h \
		../../../src/map/maptilerequest.h \
		../../../src/map/mapscene.h \
		../../../src/map/maptile.h \
		../../../src/map/mapzoompanel.h \
		../../../src/map/mapbutton.h \
		../../../src/map/ownlocationitem.h \
		../../../src/map/baselocationitem.h \
		../../../src/map/mapengine.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapengine.h -o moc_mapengine.cpp

moc_mapzoompanel.cpp: ../../../src/map/mapbutton.h \
		../../../src/map/mapzoompanel.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapzoompanel.h -o moc_mapzoompanel.cpp

moc_mapscene.cpp: ../../../src/map/maptile.h \
		../../../src/map/mapscene.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapscene.h -o moc_mapscene.cpp

moc_mapfetcher.cpp: ../../../src/map/maptilerequest.h \
		../../../src/map/mapfetcher.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/map/mapfetcher.h -o moc_mapfetcher.cpp

moc_frienditemshandler.cpp: ../../../src/map/frienditemshandler.h
