=== tests/ui/testfriendlist-build/Makefile ===
#############################################################################
# Makefile for building: testfriendlist
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed May 26 11:46:41 2010
# Project:  ../friendlist/testfriendlist.pro
# Template: app
# Command: /home/jupe/qtsdk-2010.02/qt/bin/qmake -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendlist/testfriendlist.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../friendlist -I/home/jupe/qtsdk-2010.02/qt/include/QtCore -I/home/jupe/qtsdk-2010.02/qt/include/QtGui -I/home/jupe/qtsdk-2010.02/qt/include -I/home/jupe/qtsdk-2010.02/qt/include/QtTest -I. -I../friendlist -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/home/jupe/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/jupe/qtsdk-2010.02/qt/lib -lQtTest -L/home/jupe/qtsdk-2010.02/qt/lib -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/jupe/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../../../src/ui/friendlistview.cpp \
		../../../src/ui/friendlistitem.cpp \
		../../../src/user/user.cpp \
		../../../src/ui/avatarimage.cpp \
		../../../src/ui/imagebutton.cpp \
		../friendlist/testfriendlist.cpp moc_friendlistview.cpp \
		moc_friendlistitem.cpp \
		moc_imagebutton.cpp
OBJECTS       = friendlistview.o \
		friendlistitem.o \
		user.o \
		avatarimage.o \
		imagebutton.o \
		testfriendlist.o \
		moc_friendlistview.o \
		moc_friendlistitem.o \
		moc_imagebutton.o
DIST          = /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../friendlist/testfriendlist.pro
QMAKE_TARGET  = testfriendlist
DESTDIR       = 
TARGET        = testfriendlist

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../friendlist/testfriendlist.pro  /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl
	$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendlist/testfriendlist.pro
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qtestlib.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/jupe/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/home/jupe/qtsdk-2010.02/qt/lib/libQtTest.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtCore.prl:
/home/jupe/qtsdk-2010.02/qt/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/jupe/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../friendlist/testfriendlist.pro

dist: 
	@$(CHK_DIR_EXISTS) ../friendlist/.tmp/testfriendlist1.0.0 || $(MKDIR) ../friendlist/.tmp/testfriendlist1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../friendlist/.tmp/testfriendlist1.0.0/ && $(COPY_FILE) --parents ../../../src/ui/friendlistview.h ../../../src/ui/friendlistitem.h ../../../src/user/user.h ../../../src/ui/avatarimage.h ../../../src/ui/imagebutton.h ../friendlist/.tmp/testfriendlist1.0.0/ && $(COPY_FILE) --parents ../../../src/ui/friendlistview.cpp ../../../src/ui/friendlistitem.cpp ../../../src/user/user.cpp ../../../src/ui/avatarimage.cpp ../../../src/ui/imagebutton.cpp ../friendlist/testfriendlist.cpp ../friendlist/.tmp/testfriendlist1.0.0/ && (cd `dirname ../friendlist/.tmp/testfriendlist1.0.0` && $(TAR) testfriendlist1.0.0.tar testfriendlist1.0.0 && $(COMPRESS) testfriendlist1.0.0.tar) && $(MOVE) `dirname ../friendlist/.tmp/testfriendlist1.0.0`/testfriendlist1.0.0.tar.gz . && $(DEL_FILE) -r ../friendlist/.tmp/testfriendlist1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_friendlistview.cpp moc_friendlistitem.cpp moc_imagebutton.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_friendlistview.cpp moc_friendlistitem.cpp moc_imagebutton.cpp
moc_friendlistview.cpp: ../../../src/ui/friendlistview.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/friendlistview.h -o moc_friendlistview.cpp

moc_friendlistitem.cpp: ../../../src/user/user.h \
		../../../src/ui/friendlistitem.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/friendlistitem.h -o moc_friendlistitem.cpp

moc_imagebutton.cpp: ../../../src/ui/imagebutton.h
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/imagebutton.h -o moc_imagebutton.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: testfriendlist.moc
compiler_moc_source_clean:
	-$(DEL_FILE) testfriendlist.moc
testfriendlist.moc: ../../../src/ui/friendlistitem.h \
		../../../src/user/user.h \
		../../../src/ui/friendlistview.h \
		../../../src/ui/avatarimage.h \
		../friendlist/testfriendlist.cpp
	/home/jupe/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../friendlist/testfriendlist.cpp -o testfriendlist.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_moc_source_clean 

####### Compile

friendlistview.o: ../../../src/ui/friendlistview.cpp ../../../src/ui/friendlistview.h \
		../../../src/ui/friendlistitem.h \
		../../../src/user/user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o friendlistview.o ../../../src/ui/friendlistview.cpp

friendlistitem.o: ../../../src/ui/friendlistitem.cpp ../../../src/ui/friendlistitem.h \
		../../../src/user/user.h \
		../../../src/ui/imagebutton.h \
		../../../src/common.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o friendlistitem.o ../../../src/ui/friendlistitem.cpp

user.o: ../../../src/user/user.cpp ../../../src/user/user.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o user.o ../../../src/user/user.cpp

avatarimage.o: ../../../src/ui/avatarimage.cpp ../../../src/ui/avatarimage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o avatarimage.o ../../../src/ui/avatarimage.cpp

imagebutton.o: ../../../src/ui/imagebutton.cpp ../../../src/ui/imagebutton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o imagebutton.o ../../../src/ui/imagebutton.cpp

testfriendlist.o: ../friendlist/testfriendlist.cpp ../../../src/ui/friendlistitem.h \
		../../../src/user/user.h \
		../../../src/ui/friendlistview.h \
		../../../src/ui/avatarimage.h \
		testfriendlist.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o testfriendlist.o ../friendlist/testfriendlist.cpp

moc_friendlistview.o: moc_friendlistview.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_friendlistview.o moc_friendlistview.cpp

moc_friendlistitem.o: moc_friendlistitem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_friendlistitem.o moc_friendlistitem.cpp

moc_imagebutton.o: moc_imagebutton.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_imagebutton.o moc_imagebutton.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
