## situare 0.6-2

=== debian/changelog ===
situare (0.6-2) unstable; urgency=low
  * Situare Beta Release

  * New Features:
    - Panel graphics updated
    - Time-out handling
    - Larger profile images support
    - Map distance scale
    - Map wraps around the east-west borders

  * Following bug fixes from version 0.5-1
    - Version control cleaned up (#5532)
    - Update location dialog is fully visible (#5765)
    - Friend group items are now properly released (#5831)
    - Location field shows always proper location (#5865)
    - Login e-mail field is now properly filled after failed login attempt (#5866)
    - Mouse event work properly over friends items on map (#5867)

 -- Kaj Wallin <kaj.wallin@ixonos.com>  Mon, 16 Jun 2010 08:20:00 +0300

situare (0.5-1) unstable; urgency=low
  * Alpha release

  * New Features:
    - Logout
    - Login: E-mail address is stored
    - Login: Renew login in the background using cookie
    - Friend items and groups on the map are now clickable. Clicking filter friend list view
    - Zoom buttons can be dragged freely to any location on the screen
    - Map position is saved on program exit and restored at start
    - Some graphics updated

  * Following bug fixes from version 0.4-1
    - Unit tests included in the compilation (#5534)
    - Item order fixed in user info panel (#5761)
    - Location update dialog supports UTF-8 (on N900 only) (#5764)
    - Prevented multiple pop-up dialogs from appearing when launching application without network connection (#5767)
    - Manual update crosshair no longer blocks mouse events (#5769)

 -- Kaj Wallin <kaj.wallin@ixonos.com>  Wed, 31 May 2010 08:31:00 +0300

situare (0.4-2) unstable; urgency=low
  * Mid-sprint test build

 -- Kaj Wallin <kaj.wallin@ixonos.com>  Wed, 24 May 2010 10:08:00 +0300

situare (0.4-1) unstable; urgency=low
  * Initial pre-alpha release
    Basic functionality is completely usable. Usability might not be top notch and many feature will be added or changed

 -- Kaj Wallin <kaj.wallin@ixonos.com>  Wed, 18 May 2010 14:00:00 +0300

situare (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <jukka.saastamoinen@ixonos.com>  Wed, 31 Mar 2010 10:36:08 +0300
