=== debian/control ===
Source: situare
Section: user/navigation
Priority: optional
Maintainer: Jussi Laitinen <jussi.laitinen@ixonos.com>
Build-Depends: debhelper, libdbus-1-dev, icd2-dev, libx11-dev, libqt4-dev, libqjson-dev, liblocation-dev, libqtm-dev
Standards-Version: 3.7.2

Package: situare
Architecture: armel
Depends: ${shlibs:Depends}
Description: This is the Situare client for Maemo.
 Situare application introduces a concept of social locating.
 It allows users to view, update and share their location
 using facebook accounts. Situare utilizes OpenStreetMap
 database for mapping and device GPS for automatic locating.
 Project home is located in http://www.assembla.cc/wiki/show/situare.
 Check also www.situare.net.
 This application requires Qt4.6.2 libraries
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5192&group_id=1420&func=browse
XB-Maemo-Display-Name: Situare
XB-Maemo-Upgrade-Description: Alpha release
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA3X
 AAAN1wFCKJt4AAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAACpZJREFUeNrMWXlwlOUZ/z3fsdndHBuSLCEHciQxQBJMgAgG5Ayg
 4IbWCiiKeDClxaLSqU5Hx9p22unUsR6lHlUcC2pFYrGickmJHCKEJKKEkGzI
 tQlJyCYx197v9739IyEkkL2SWPvO7Mxez/s9v+d5fs/xvsQ5xw+9zDSdLHCP
 zeXll4OVFfB/sMxwrjyNHutwZH9wAF/RtIVWMHqaN6jDkZf+l8quWZMvdsRe
 HguPJx6CEDfhcmvqrIiQWzd1lv1ouHuOCoD8fC7K0SVTIYgZGlG6UaMRJ2s1
 8nimqIbCsjrnybNVks3hikU0jGAQQQIElSPzbIl8/ObZhZtG8GzyR+I7Nr82
 xi444wQmxOXeMjU7J33SIp1WHqfTaqLDdCGGiFCt1hCmkwSBvO5hc7jw4G93
 uju6Hf0PW3WqUKrvaqaSZXk2h9uVcOKtJ7tHxQNLf/7yyyBkgCMOQBwA7cSY
 aFp/x2xpwYwUgYiCfshbH59kA5W/qaZOcDfVChdz5jEAGp1GuxzAh6MVQrng
 SAKAuBgDrV85W1ycnSr6srCvVVRWp3567Jxy5bOxs4sWnj4lHYnU8K7Y+D7i
 ctNwAQyVhRQAmJuZJGz/zX2a3NlThq18l83J//LOYXbls6wo2Pj5EbkINtRk
 z2MDIvm2WZvekEcFAHGwJTdPEZ7ZuEKWJXFE5N62q4C1ddr6Q2ft8ZNSBbn4
 dzFjeU+0cQD5uCGSHPNHBcD4+Cjx8XWL5WCszhQVHd0O3tDSwdv7FC44U6Ee
 La7sz+055WYxpaZGsHZeFgZbv89whLxR4cBjdy8aH6Lxn12LyyxqcblF/bq8
 Xq2+ZB2UzPRaDZhytS4ltrbRmhMnpT0RxFtiUxWHIfK61EfAHUR4nHPwEQEw
 hOt8xmJNYxv/2wdfsHOVl7xWTrvT3f9e63Zj46EjclGElqOziWpX3qkMJcOB
 hKWbXpwBbC0eEQBV5V4Vq2tq51v+/IHb7WEBP2DDkWOy1t5DdWIPGtMzFVdo
 uFcLcxJNAIpHxAGVewfw3D8OeYJRPvfsOXF6bZ1wMFLm4CosWXMU3xLcNGIS
 e/MAUxRU1rcEHJ/JTc3CqsIi6VyElvPWJqrPmMU8Wp0/+bQlm7ZNHhEA7sUD
 dqcnYOUj7A566PMCiYGjlHXCo9Xx+sxsJaDehhTT9+KBiFAtpU6I9ZtbBc7x 
 0OECyWC304EoLZfsNrJkzVYUWRNYc0ZC3sgAwDsHtt67RA7Xa31uaCosklIa
 m4SqUA13tTWSKzScX0rPUgJXid+y4tFtMcPOQtxHFpqcGEPv/+nhkLLqJrWk
 rwZUNVj5lZyfUWsRln79ragCKCQHJM5RN/MWRRWD6toFD+MrAOwcbhbyaS2N
 LCIzNVF4aFWO9Kv7c2X0dacxXd10f8FRmQAcjtZxqaeTHIYxvGlKRv9+keH6
 wJpZzvOG7QFV5QG5W1FVPLfjcw9jCkJlonvUbrn9rly0FpziHc01RABqZs1l
 XOi1UbzRQK8/vU6jKByVlha1vLaZX6hpVgtLa1VFvc7pS/I2vaHf+/ef2oMG
 8OHhr8+nJcVNFAXf4/Kug0VKpaWFh2hEWpWTJNd1Gok5nYi/fS5pfv88vmvr
 4i0pU9VeYhKeuH+ZpNX0FvnM1EQhMzURAMRGawff+elpVlBUoQ5oR3R20Z4L
 YG/QIfTVueqmHZ+c8lmtqhta+Xv7ChkALEpLFG09XbRz+0t4d8crMFtqEJqT
 PahdXp07Q0xLihvSIvHGSPr1g8vl155apzGOCaOr2Syw5m6ITYntOlikvP7h
 McYUZcjO87mdhzxMUUEEzEyKE90OJ1SFAeCwu11QUpJ528RkFQAmxkfTBtMc
 vyyenBBDv/uZSQ6Rpb7eiFasWZMvBg1AQC8H9hw5qzz+fL77dGmNOhDIP/cX
 suqGVg4A86beIKQljsPECROw8ifrsXTlaqSn34RvHCIDAFEQ8OSGZQHPFcnj
 jfTEhmVXmsmojpjmnOBJzIkR9Qajua6FP/PqJ55wvRbzspLEqZPi6P0DRQoA
 CETYsPAmyWgIw9iwUJ45bRpxDpRa2pX6NrsKAPetuFlKHm8MapybPyNZSLlh
 LFVaWjhX1TwAx4MLIVKvi/9uuxP7vzyvvPDuYXYlYyzOmChMMBqo2+EClG6K
 0RMqGtqUE+WXGefA2DHhZFowfVgHZ/NnpIh92pmGxQF/QqJAWL9gugQA39bU
 cVVVUNdqV49esPbLtnzXzVc/+Yb7gWd3uP+wfb9n18Ei5cz5OrXb7vQL4Nas
 ZKGPCBNzN7+cEVQIEQeDH6fflpUsxkeFk7nRyhXWQzYX43vONDD1mjMmzoFG
 aydvtHbyYyW946UhTEdPPXyblJU63qt34o0GGhcdQc1tXRycTADOBd6NEnwW
 MlkSce/8DNHlUdDc1kScAx+ducR6nCygbrWzx8H/uH3/kBlu0GQYpusbNX3P
 CENwAD5DyDQrRTRG6KmkqlYFZzhWbmU1VltQB7NdNic/X9XkUyY8VHslDrKW
 P/JCYuAAOHk1jVaWcM+8dLGhrZMzT5dQ3WJTj5dbleEQ9UpV9rZcbs+A9kY0
 BQFA9eqBH8+eIkboQ6iq0YIuh4d/VNTAhnM9EiJLiI2O8Mm0uqb2gVvnBRFC
 wpAWDQ2RsTpnmlR80cK56qY9hQ3M7lKGdb2z5Z5FUmS4ziuA1o4e3mVzDtz7
 1kVbX4ockQfuypkmuRjjTkc7FZRZmaWvWAWzwvVa/GLtQmnZnKk+S/P+L89f
 a0RJdOL2wA536fo6EKEPoTtnTxELzZW8qrlb/crcqgwMB5efk4obxkXRnIxJ
 wtrlMyV/E53bo+CTY+fU6y0tmAC87x/AEHXg7rlp4sUmK++2dePj4kv9070h
 TEdvPnOvbHe60TudtXKNLEGvlaHTaig+xkBpSfHkK1yuXa/mH2Ud3XZ+vVp8
 2YpHt4Xs++sWlx8PDK4DUWE6WpwxSfimqhz/OtPgcbiv/vzYukVSZLieIsP1
 iDdGjuwkGMCBk2XKvhOl3rJaGHPzRQAO+OHA4Dqwbn66WFprwZHSJuVS+9VL
 isXZqcK8zORRuyT8d8FZ5cX3/uMzFjlUk/8QEoihryWINYTSjXFjhOOlF/jp
 qvZ+y0QbQumRtQvk0VDc7nTjzT0n2GfeLX/13kKgqQFwQFXQR4K756WJFfUW
 vrfkkmfgX355X65fMgYyU+87cV5557NTysDrJwBtAMwAmYl4pQpuJoJ5jLWz
 evfuZ93+AUBQAI6EqHAKDSF6+8ta5vJcTQoLZqYI2WkThhU6nT0OXnLBwovL
 613FF+qqWjtsZQSYCdyscpglxisPbN/aPqLTaXCVgQgrZyaJh85Wqk0dgwoK
 jhZXqheqm93TUxJo+o0JQnpygpA4NpKuPUd1uRncHkVp77J3Xaxvqfi2suH4
 4TMVR7iqVoxpTbDs3r1RGY0QvO6aNXfzS3mTjJH52ZNjxPxTVf6Pogm2yDB9
 jT5ErnYwZrbZ3WXMw8rdJJkLXtncg+95DeEBYmmJUcLHRTVs0KQJ1Pe6G2aV
 wyyAzB6FzF9s39IY7K3K9wrANGuS7kJD216PohYCvYq6nRFVBW8/MPQo9SZ+
 2MU5H/QqO30m9trv/p9f/x0A5fuBL76DMBUAAAAASUVORK5CYII=
 ====
